summaryrefslogtreecommitdiffstats
path: root/system/drbd-tools/drbd-tools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/drbd-tools/drbd-tools.SlackBuild')
-rwxr-xr-xsystem/drbd-tools/drbd-tools.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/system/drbd-tools/drbd-tools.SlackBuild b/system/drbd-tools/drbd-tools.SlackBuild
new file mode 100755
index 0000000000..53d9707a73
--- /dev/null
+++ b/system/drbd-tools/drbd-tools.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009 Eric Hameleers <alien@slackware.com>, Eindhoven, Netherlands
+
+# Slackware build script for drbd
+# Written by Zordrak <sbo@tpa.me.uk>
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=drbd-tools
+SRCNAM=drbd
+VERSION=${VERSION:-8.3.7}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --with-utils \
+ --without-km \
+ --with-udev \
+ --with-pacemaker \
+ --with-heartbeat \
+ --with-distro=slackware \
+ --without-xen \
+ --without-rgmanager \
+ --with-bashcompletion \
+ --build=$ARCH-slackware-linux
+
+make tools
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/etc/rc.d/drbd $PKG/etc/rc.d/rc.drbd.new
+mv $PKG/etc/drbd.conf $PKG/etc/drbd.conf.new
+mv $PKG/etc/drbd.d/global_common.conf $PKG/etc/drbd.d/global_common.conf.new
+
+mkdir -p $PKG/lib/udev/rules.d
+mv $PKG/{etc,lib}/udev/rules.d/65-drbd.rules
+rm -r $PKG/etc/udev
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}